## WebKitDOMHTMLElement

WebKitDOMHTMLElement

## Functions

WebKitDOMElement * | webkit_dom_html_element_insert_adjacent_element ()
void | webkit_dom_html_element_insert_adjacent_html ()
void | webkit_dom_html_element_insert_adjacent_text ()
void | webkit_dom_html_element_click ()
gchar * | webkit_dom_html_element_get_title ()
void | webkit_dom_html_element_set_title ()
gchar * | webkit_dom_html_element_get_lang ()
void | webkit_dom_html_element_set_lang ()
gboolean | webkit_dom_html_element_get_translate ()
void | webkit_dom_html_element_set_translate ()
gchar * | webkit_dom_html_element_get_dir ()
void | webkit_dom_html_element_set_dir ()
glong | webkit_dom_html_element_get_tab_index ()
void | webkit_dom_html_element_set_tab_index ()
gboolean | webkit_dom_html_element_get_draggable ()
void | webkit_dom_html_element_set_draggable ()
gchar * | webkit_dom_html_element_get_webkitdropzone ()
void | webkit_dom_html_element_set_webkitdropzone ()
gboolean | webkit_dom_html_element_get_hidden ()
void | webkit_dom_html_element_set_hidden ()
gchar * | webkit_dom_html_element_get_access_key ()
void | webkit_dom_html_element_set_access_key ()
gchar * | webkit_dom_html_element_get_inner_html ()
void | webkit_dom_html_element_set_inner_html ()
gchar * | webkit_dom_html_element_get_inner_text ()
void | webkit_dom_html_element_set_inner_text ()
gchar * | webkit_dom_html_element_get_outer_html ()
void | webkit_dom_html_element_set_outer_html ()
gchar * | webkit_dom_html_element_get_outer_text ()
void | webkit_dom_html_element_set_outer_text ()
WebKitDOMHTMLCollection * | webkit_dom_html_element_get_children ()
gchar * | webkit_dom_html_element_get_content_editable ()
void | webkit_dom_html_element_set_content_editable ()
gboolean | webkit_dom_html_element_get_is_content_editable ()
gboolean | webkit_dom_html_element_get_spellcheck ()
void | webkit_dom_html_element_set_spellcheck ()
gchar * | webkit_dom_html_element_get_id ()
void | webkit_dom_html_element_set_id ()
gchar * | webkit_dom_html_element_get_class_name ()
void | webkit_dom_html_element_set_class_name ()
WebKitDOMDOMTokenList * | webkit_dom_html_element_get_class_list ()
void | webkit_dom_html_element_set_item_id ()
gchar * | webkit_dom_html_element_get_item_id ()
WebKitDOMDOMSettableTokenList * | webkit_dom_html_element_get_item_ref ()
WebKitDOMDOMSettableTokenList * | webkit_dom_html_element_get_item_prop ()
void | webkit_dom_html_element_set_item_scope ()
gboolean | webkit_dom_html_element_get_item_scope ()
void * | webkit_dom_html_element_get_item_type ()

## Properties

gchar * | access-key | Read / Write
WebKitDOMHTMLCollection * | children | Read
gchar * | content-editable | Read / Write
gchar * | dir | Read / Write
gboolean | draggable | Read / Write
gboolean | hidden | Read / Write
gchar * | inner-html | Read / Write
gchar * | inner-text | Read / Write
gboolean | is-content-editable | Read
gchar * | lang | Read / Write
gchar * | outer-html | Read / Write
gchar * | outer-text | Read / Write
gboolean | spellcheck | Read / Write
glong | tab-index | Read / Write
gchar * | title | Read / Write
gboolean | translate | Read / Write
gchar * | webkitdropzone | Read / Write

## Types and Values

| WebKitDOMHTMLElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ├── WebKitDOMHTMLAnchorElement
                        ├── WebKitDOMHTMLAppletElement
                        ├── WebKitDOMHTMLAreaElement
                        ├── WebKitDOMHTMLMediaElement
                        ├── WebKitDOMHTMLBaseElement
                        ├── WebKitDOMHTMLBaseFontElement
                        ├── WebKitDOMHTMLBodyElement
                        ├── WebKitDOMHTMLButtonElement
                        ├── WebKitDOMHTMLCanvasElement
                        ├── WebKitDOMHTMLDetailsElement
                        ├── WebKitDOMHTMLDirectoryElement
                        ├── WebKitDOMHTMLDivElement
                        ├── WebKitDOMHTMLEmbedElement
                        ├── WebKitDOMHTMLFieldSetElement
                        ├── WebKitDOMHTMLFontElement
                        ├── WebKitDOMHTMLFormElement
                        ├── WebKitDOMHTMLFrameElement
                        ├── WebKitDOMHTMLFrameSetElement
                        ├── WebKitDOMHTMLHeadElement
                        ├── WebKitDOMHTMLHeadingElement
                        ├── WebKitDOMHTMLHtmlElement
                        ├── WebKitDOMHTMLIFrameElement
                        ├── WebKitDOMHTMLImageElement
                        ├── WebKitDOMHTMLInputElement
                        ├── WebKitDOMHTMLKeygenElement
                        ├── WebKitDOMHTMLLabelElement
                        ├── WebKitDOMHTMLLegendElement
                        ├── WebKitDOMHTMLLinkElement
                        ├── WebKitDOMHTMLMapElement
                        ├── WebKitDOMHTMLMarqueeElement
                        ├── WebKitDOMHTMLMenuElement
                        ├── WebKitDOMHTMLMetaElement
                        ├── WebKitDOMHTMLModElement
                        ├── WebKitDOMHTMLObjectElement
                        ├── WebKitDOMHTMLOptGroupElement
                        ├── WebKitDOMHTMLOptionElement
                        ├── WebKitDOMHTMLParagraphElement
                        ├── WebKitDOMHTMLParamElement
                        ├── WebKitDOMHTMLPreElement
                        ├── WebKitDOMHTMLQuoteElement
                        ├── WebKitDOMHTMLScriptElement
                        ├── WebKitDOMHTMLSelectElement
                        ├── WebKitDOMHTMLStyleElement
                        ├── WebKitDOMHTMLTableCaptionElement
                        ├── WebKitDOMHTMLTableCellElement
                        ├── WebKitDOMHTMLTableColElement
                        ├── WebKitDOMHTMLTableElement
                        ├── WebKitDOMHTMLTableRowElement
                        ├── WebKitDOMHTMLTableSectionElement
                        ├── WebKitDOMHTMLTextAreaElement
                        ├── WebKitDOMHTMLTitleElement
                        ├── WebKitDOMHTMLBRElement
                        ├── WebKitDOMHTMLDListElement
                        ├── WebKitDOMHTMLHRElement
                        ├── WebKitDOMHTMLLIElement
                        ├── WebKitDOMHTMLOListElement
                        ╰── WebKitDOMHTMLUListElement

## Implemented Interfaces

WebKitDOMHTMLElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_element_insert_adjacent_element ()

    WebKitDOMElement *
    webkit_dom_html_element_insert_adjacent_element
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *where,
                                    WebKitDOMElement *element,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLElement |
where | A gchar |
element | A WebKitDOMElement |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_html_element_insert_adjacent_html ()

    void
    webkit_dom_html_element_insert_adjacent_html
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *where,
                                    const gchar *html,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLElement |
where | A gchar |
html | A gchar |
error | GError |

### webkit_dom_html_element_insert_adjacent_text ()

    void
    webkit_dom_html_element_insert_adjacent_text
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *where,
                                    const gchar *text,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLElement |
where | A gchar |
text | A gchar |
error | GError |

### webkit_dom_html_element_click ()

    void
    webkit_dom_html_element_click (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

### webkit_dom_html_element_get_title ()

    gchar *
    webkit_dom_html_element_get_title (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_title ()

    void
    webkit_dom_html_element_set_title (WebKitDOMHTMLElement *self,
                                       const gchar *value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |

### webkit_dom_html_element_get_lang ()

    gchar *
    webkit_dom_html_element_get_lang (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_lang ()

    void
    webkit_dom_html_element_set_lang (WebKitDOMHTMLElement *self,
                                      const gchar *value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |

### webkit_dom_html_element_get_translate ()

    gboolean
    webkit_dom_html_element_get_translate (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gboolean

### webkit_dom_html_element_set_translate ()

    void
    webkit_dom_html_element_set_translate (WebKitDOMHTMLElement *self,
                                           gboolean value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gboolean |

### webkit_dom_html_element_get_dir ()

    gchar *
    webkit_dom_html_element_get_dir (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_dir ()

    void
    webkit_dom_html_element_set_dir (WebKitDOMHTMLElement *self,
                                     const gchar *value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |

### webkit_dom_html_element_get_tab_index ()

    glong
    webkit_dom_html_element_get_tab_index (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A glong

### webkit_dom_html_element_set_tab_index ()

    void
    webkit_dom_html_element_set_tab_index (WebKitDOMHTMLElement *self,
                                           glong value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A glong |

### webkit_dom_html_element_get_draggable ()

    gboolean
    webkit_dom_html_element_get_draggable (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gboolean

### webkit_dom_html_element_set_draggable ()

    void
    webkit_dom_html_element_set_draggable (WebKitDOMHTMLElement *self,
                                           gboolean value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gboolean |

### webkit_dom_html_element_get_webkitdropzone ()

    gchar *
    webkit_dom_html_element_get_webkitdropzone
                                   (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_webkitdropzone ()

    void
    webkit_dom_html_element_set_webkitdropzone
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |

### webkit_dom_html_element_get_hidden ()

    gboolean
    webkit_dom_html_element_get_hidden (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gboolean

### webkit_dom_html_element_set_hidden ()

    void
    webkit_dom_html_element_set_hidden (WebKitDOMHTMLElement *self,
                                        gboolean value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gboolean |

### webkit_dom_html_element_get_access_key ()

    gchar *
    webkit_dom_html_element_get_access_key
                                   (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_access_key ()

    void
    webkit_dom_html_element_set_access_key
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |

### webkit_dom_html_element_get_inner_html ()

    gchar *
    webkit_dom_html_element_get_inner_html
                                   (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_inner_html ()

    void
    webkit_dom_html_element_set_inner_html
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |
error | GError |

### webkit_dom_html_element_get_inner_text ()

    gchar *
    webkit_dom_html_element_get_inner_text
                                   (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_inner_text ()

    void
    webkit_dom_html_element_set_inner_text
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |
error | GError |

### webkit_dom_html_element_get_outer_html ()

    gchar *
    webkit_dom_html_element_get_outer_html
                                   (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_outer_html ()

    void
    webkit_dom_html_element_set_outer_html
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |
error | GError |

### webkit_dom_html_element_get_outer_text ()

    gchar *
    webkit_dom_html_element_get_outer_text
                                   (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_outer_text ()

    void
    webkit_dom_html_element_set_outer_text
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |
error | GError |

### webkit_dom_html_element_get_children ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_element_get_children (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_element_get_content_editable ()

    gchar *
    webkit_dom_html_element_get_content_editable
                                   (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gchar

### webkit_dom_html_element_set_content_editable ()

    void
    webkit_dom_html_element_set_content_editable
                                   (WebKitDOMHTMLElement *self,
                                    const gchar *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gchar |
error | GError |

### webkit_dom_html_element_get_is_content_editable ()

    gboolean
    webkit_dom_html_element_get_is_content_editable
                                   (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gboolean

### webkit_dom_html_element_get_spellcheck ()

    gboolean
    webkit_dom_html_element_get_spellcheck
                                   (WebKitDOMHTMLElement *self);

#### Parameters

self | A WebKitDOMHTMLElement |

#### Returns

A gboolean

### webkit_dom_html_element_set_spellcheck ()

    void
    webkit_dom_html_element_set_spellcheck
                                   (WebKitDOMHTMLElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLElement |
value | A gboolean |

### webkit_dom_html_element_get_id ()

    gchar *
    webkit_dom_html_element_get_id (WebKitDOMHTMLElement *self);

`webkit_dom_html_element_get_id` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_set_id ()

    void
    webkit_dom_html_element_set_id (WebKitDOMHTMLElement *self,
                                    const gchar *value);

`webkit_dom_html_element_set_id` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_get_class_name ()

    gchar *
    webkit_dom_html_element_get_class_name
                                   (WebKitDOMHTMLElement *element);

`webkit_dom_html_element_get_class_name` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_set_class_name ()

    void
    webkit_dom_html_element_set_class_name
                                   (WebKitDOMHTMLElement *element,
                                    const gchar *value);

`webkit_dom_html_element_set_class_name` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_get_class_list ()

    WebKitDOMDOMTokenList *
    webkit_dom_html_element_get_class_list
                                   (WebKitDOMHTMLElement *element);

`webkit_dom_html_element_get_class_list` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_set_item_id ()

    void
    webkit_dom_html_element_set_item_id (WebKitDOMHTMLElement *self,
                                         const gchar *value);

`webkit_dom_html_element_set_item_id` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_get_item_id ()

    gchar *
    webkit_dom_html_element_get_item_id (WebKitDOMHTMLElement *self);

`webkit_dom_html_element_get_item_id` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_get_item_ref ()

    WebKitDOMDOMSettableTokenList *
    webkit_dom_html_element_get_item_ref (WebKitDOMHTMLElement *self);

`webkit_dom_html_element_get_item_ref` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_get_item_prop ()

    WebKitDOMDOMSettableTokenList *
    webkit_dom_html_element_get_item_prop (WebKitDOMHTMLElement *self);

`webkit_dom_html_element_get_item_prop` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_set_item_scope ()

    void
    webkit_dom_html_element_set_item_scope
                                   (WebKitDOMHTMLElement *self,
                                    gboolean value);

`webkit_dom_html_element_set_item_scope` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_get_item_scope ()

    gboolean
    webkit_dom_html_element_get_item_scope
                                   (WebKitDOMHTMLElement *self);

`webkit_dom_html_element_get_item_scope` is deprecated and should not be used in newly-written code.

### webkit_dom_html_element_get_item_type ()

    void *
    webkit_dom_html_element_get_item_type (WebKitDOMHTMLElement *self);

`webkit_dom_html_element_get_item_type` is deprecated and should not be used in newly-written code.

## Types and Values

### WebKitDOMHTMLElement

    typedef struct _WebKitDOMHTMLElement WebKitDOMHTMLElement;

## Property Details

### The `“access-key”` property

      “access-key”               gchar *

read-write gchar* HTMLElement:access-key.

Flags: Read / Write

Default value: ""

### The `“children”` property

      “children”                 WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLElement:children.

Flags: Read

### The `“content-editable”` property

      “content-editable”         gchar *

read-write gchar* HTMLElement:content-editable.

Flags: Read / Write

Default value: ""

### The `“dir”` property

      “dir”                      gchar *

read-write gchar* HTMLElement:dir.

Flags: Read / Write

Default value: ""

### The `“draggable”` property

      “draggable”                gboolean

read-write gboolean HTMLElement:draggable.

Flags: Read / Write

Default value: FALSE

### The `“hidden”` property

      “hidden”                   gboolean

read-write gboolean HTMLElement:hidden.

Flags: Read / Write

Default value: FALSE

### The `“inner-html”` property

      “inner-html”               gchar *

read-write gchar* HTMLElement:inner-html.

Flags: Read / Write

Default value: ""

### The `“inner-text”` property

      “inner-text”               gchar *

read-write gchar* HTMLElement:inner-text.

Flags: Read / Write

Default value: ""

### The `“is-content-editable”` property

      “is-content-editable”      gboolean

read-only gboolean HTMLElement:is-content-editable.

Flags: Read

Default value: FALSE

### The `“lang”` property

      “lang”                     gchar *

read-write gchar* HTMLElement:lang.

Flags: Read / Write

Default value: ""

### The `“outer-html”` property

      “outer-html”               gchar *

read-write gchar* HTMLElement:outer-html.

Flags: Read / Write

Default value: ""

### The `“outer-text”` property

      “outer-text”               gchar *

read-write gchar* HTMLElement:outer-text.

Flags: Read / Write

Default value: ""

### The `“spellcheck”` property

      “spellcheck”               gboolean

read-write gboolean HTMLElement:spellcheck.

Flags: Read / Write

Default value: FALSE

### The `“tab-index”` property

      “tab-index”                glong

read-write glong HTMLElement:tab-index.

Flags: Read / Write

Default value: 0

### The `“title”` property

      “title”                    gchar *

read-write gchar* HTMLElement:title.

Flags: Read / Write

Default value: ""

### The `“translate”` property

      “translate”                gboolean

read-write gboolean HTMLElement:translate.

Flags: Read / Write

Default value: FALSE

### The `“webkitdropzone”` property

      “webkitdropzone”           gchar *

read-write gchar* HTMLElement:webkitdropzone.

Flags: Read / Write

Default value: ""